corda / net.corda.core.testing / PartyGenerator

# PartyGenerator

`class PartyGenerator : Generator<Party>`

### Constructors

<init> | `PartyGenerator()`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): Party`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck